Draft: Introduceţi Text

From FreeCAD Documentation
Revision as of 07:30, 14 November 2018 by Luc (talk | contribs) (Created page with "Pentru a crea forme de text solide, utilizați Draft ShapeString cu Part Extrude.")

Draft Text

poziția meniului
Draft → Text
Ateliere
Draft, Arch
scurtătură
T E
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Unealta Text inserează o porţiune de text într-un punct dat din documentul curent. În prealabil, seta'i în meniul Editare, opţiunea Preferinţe, mărimea şi culoarea textului în tab-ul Sarcini (Draft Tray toolbar.).

Pentru a crea forme de text solide, utilizați Draft ShapeString cu Part Extrude.

Mod de utilizare

  1. Apăsaţi butonul Draft Text ori apăsaţi tasta T, apoi tasta E.
  2. Daţi clic în fereastra de vizualizare 3D view sau introduceţi coordonatele.
  3. Introduceţi textul dorit, apăsând tasta ENTER pentru a trece la linie nouă.
  4. Apăsaţi DE DOUĂ ORI ENTER ca să terminaţi operaţia.

Opţiuni

Pressing CTRL will snap your point to available snap locations.

  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • DatePosition: The base point of the text block
  • DateLabel Text: The contents of the text block
  • VizualizareDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • VizualizareFont Size: The size of the letters
  • VizualizareJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • VizualizareLine Spacing: Specifies the space between lines of text
  • VizualizareRotation: Specifies a rotation to be applied to the text
  • VizualizareRotation Axis: Specifies the axis to use for the rotation
  • VizualizareFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scriptare

Unealta Text poate fi folosită în macro-uri şi de la consola python cu ajutorul funcţiei următoare:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Creează un obiect Text, într-un punct dat, dacă este furnizat un vector, care conține șirul sau șirurile dintr-o listă, câte un șir pe rând.
  • În Ciorna curentă, se utilizează fontul, culorile şi dimensiunea textului specificate în Preferințe.
  • Dacă modul Ecran este True, textul preia întotdeauna direcția de vizualizare, altfel se situează în planul XY.
  • Înapoiază obiectul nou creat.

Exempluː

import FreeCAD, Draft
Draft.makeText("This is a sample text", FreeCAD.Vector(1,1,0))